GNU bug report logs - #31626
Emacs window resizes when entering dired mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alain Knaff <Alain.Knaff@HIDDEN>; merged with #15700, #22000, #22898; dated Mon, 28 May 2018 15:15:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 15700 22000 22898 31626. Request was from David Engster <deng@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 21:24:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 17:24:13 2018
Received: from localhost ([127.0.0.1]:52804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNPcj-00022Z-G4
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 17:24:13 -0400
Received: from randomsample.de ([5.45.97.173]:49867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deng@HIDDEN>)
 id 1fNPch-00022M-Q5; Mon, 28 May 2018 17:24:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=j8ZxvLIhKuXzWZRpcztqs7AK1AxMzdKR2MrSyMDvloQ=; 
 b=DeFJ9QvJtG+ogkX+jXpPxkBLtW3crMTLkqV14E6vz73STtb16xRAfHLPrsHo7oM3oecKBR3EMnx5mMZO8T5Xi/3+7tJUF9lc9XCrbW3Yxxn2KttA0d90CjqNR96d8lSk;
Received: from ip4d1684c5.dynamic.kabel-deutschland.de ([77.22.132.197]
 helo=void)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1fNPcg-0006DI-Mg; Mon, 28 May 2018 23:24:10 +0200
From: David Engster <deng@HIDDEN>
To: Alain Knaff <Alain.Knaff@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
In-Reply-To: <0be7e907-c62e-d450-64de-ea2b44e12dd1@HIDDEN> (Alain Knaff's
 message of "Mon, 28 May 2018 17:07:32 +0000")
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN>
 <87y3g3hj2p.fsf@HIDDEN>
 <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN>
 <87o9gzhiac.fsf@HIDDEN>
 <771b7db2-01b4-7124-e404-084d5d442ce8@HIDDEN>
 <87k1rnhgzc.fsf@HIDDEN>
 <937d6bb9-2982-d289-a245-1ad642c5cd2e@HIDDEN>
 <0be7e907-c62e-d450-64de-ea2b44e12dd1@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Mail-Copies-To: never
Date: Mon, 28 May 2018 23:24:06 +0200
Message-ID: <87po1flbih.fsf@randomsample>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 15700 22000 22898 31626
thanks

Alain Knaff writes:
> On 2018-05-28 18:59, Alain Knaff wrote:
> [...]
>> A yes, now indeed I see it... dired has more items in its main menu, and
>> it tries to fit them all into one line...
>
> ... and indeed, if I disable the menu bar with (menu-bar-mode -1), the
> issue disappears :-)

Alternatively, you can build Emacs with the Lucid toolkit, which does
not suffer from this problem.

(This is a duplicate of bug 15700, 22000 and 22898)

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 20:48:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 16:48:40 2018
Received: from localhost ([127.0.0.1]:52740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNP4K-00018M-Gj
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 16:48:40 -0400
Received: from mout.gmx.net ([212.227.17.21]:57605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1fNP4J-00018A-7S
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 16:48:39 -0400
Received: from [192.168.1.102] ([212.95.5.118]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M9KR0-1fTPbi00wY-00Cf3E; Mon, 28
 May 2018 22:48:32 +0200
Message-ID: <5B0C6B19.3070606@HIDDEN>
Date: Mon, 28 May 2018 22:48:25 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Alain Knaff <Alain.Knaff@HIDDEN>, 31626 <at> debbugs.gnu.org
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
In-Reply-To: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:frLKgHyUIVZgRMh+8SEveevw7GfuEGLG8Hw8RJPYO6pIZHrNOJ+
 IN0jUp9HHv9B9WGucTXxwKj8BPkH8NqeCy3h6PjUWkev+G7p0AZNcfcGpwjGuXEZ6kxsLP/
 euw4D2IWi8YszPJSSOPQ4r5lBfcmpiFXt8p+6EFun9wlDIpmEGaH+pcvYjO2ABGtBmKqEwT
 dvGjrP2ygmtwVXMhImm8Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:S9jPZERzIJk=:Vd6r/OIqOFktaGzWFFOFz+
 tXLQcbJzzuhfoFn2/r/Qu/CYzvn47HQiMx6MG6ad2o60Xl4z/jGt8iUPLIfax3c2k0iZ+tWZX
 efOjIPqPsgP1Y650tyFY1qbxK7T0oZZCdZYp8uzJscz4H0gKDiAnxiH4OO+uqp0dDfjfo/E1i
 Uosc0FggnRiKUnZor9adqKIsStQmEeEdfaAcGAzg7IFNuIklZw1uJDxTl4oD4fWbkS2+WUl+u
 bzmGBGHYTszW/uNGT66R08dyymRJcUdsWaarldPpKnMGbMY79DqIf6wVgzzbew6Q/d2c4pnwn
 EZoyX78iIMKukCnOKjRnwAi2mlz+DlT2pPybqRfvnsT1FngZ4c0jUhWrrYq+mk0FgUMaLy48B
 39TpGDv/Sh1lb6vkOh5346IS4BrmmZtYGkM89WgBRFw89IC7UoYdb7nmzwaFgoJVVKL6zFF4M
 ir85YHXJwrOZM4hFA/1YB4ayFhdqQsrBmcIdW5GHz/xyQZp2wNkmMlGN50Ra8NOZbBfOwAhT9
 TF0Q52LmTmGXnpKhlP7iZQv3jDqi90r1JYls27CcEiXb22BhyvIA4uTgOPZGbCpG+2jRQFsbU
 dnirYHOFWAZY43LH5WY4Hoeox0Ylx/QrPuC2RZ4OWeUjm568Akvd9ACeE+bdMRceTIl5cLaOa
 3TeB0zgwulxUkB5E5/G4W0mfztUx4TC86UYIDTSNR/bxNB/3PDDbETzaUsO/Nfo2+zk4uLeUn
 61oySlZAJj39v8UWxkKamYX4sLVsGkg/J499oViJPm4a8cnQH3Kzcww0J4Kq2V2sdunznBPIJ
 qk+vpJN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31626
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Whenever I enter dired mode, the emacs window resizes itself. This is
 > undesirable, as windows that jump around interrupt the flow of work.

This is

*** Emacs built with GTK+ toolkit can unexpectedly widen frames

described in etc/PROBLEMS.  Sorry, no remedy in sight.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 17:16:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 13:16:11 2018
Received: from localhost ([127.0.0.1]:52675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNLkg-0004ef-TO
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 13:16:11 -0400
Received: from mail-wm0-f54.google.com ([74.125.82.54]:52882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fNLkf-0004eO-0n
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 13:16:09 -0400
Received: by mail-wm0-f54.google.com with SMTP id 18-v6so28207327wml.2
 for <31626 <at> debbugs.gnu.org>; Mon, 28 May 2018 10:16:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=mua8gBdNz5mhNWVpygsMSMxkQz10vVrCiMxmP94XEz8=;
 b=md2615J1tgfzrup4fAuItnzK/6Q67nOl1zoPWPtiYGQ71KbHWWPjzwK2dkLNuu3YvL
 p4wtueAErIpRqRf/wQitXATcKdUZa9m5JsCms+IvvSd3xXC/ZOLbSPf8A0ZHZ/nCfnqK
 0PdXLOVFZc0tRIRZdPI/oruF0uezaxw4jcZ2ctxMzxJwMVS6bn69Sr2bzCLk2oUAo79U
 aR/ew8pokluzx3hE69szemkDSBdHqLWl9Xja+AJg0SkpE/nJgdlpWMwv8qoF14HGLfHb
 C7hm5A7nlzROf9+24/4n/neHXz+a8Y9Aj1kDWH1T2XFwqIxKerDxrlBN6ZKxEAmCHWYS
 Nuyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=mua8gBdNz5mhNWVpygsMSMxkQz10vVrCiMxmP94XEz8=;
 b=ZkwHtSbwMF+pjiwZzd5lrncovx8Xx9izRZLpBV8T+Uom79XMwfkM3mSicwCkZW1bQ6
 hnHqksV5TReWUbb+Y3jmdURfVfP0YsPsr88M15Gb0u1XA+sSr8+zaKuJTDtNMkFrDD3/
 xfww6EthI1lpgq++gi7BlHhNqG043OkFCFs1p4t2aqrddS0nTjaKusNxKiK7C1Av8bTA
 U0ZtDRSNsbPAoLcznYGUfbVVHBeMehtyb3UezxNinij/OYROFuQuAHakZ+Oe/BzsJPoc
 pG8/c9+x+joQU9gwrX2XWqIzf2foo2l25tX9EwivIsiQ6x/kC2+6IBnM1885okXiyjbC
 VHtw==
X-Gm-Message-State: ALKqPwdVPL+5WFeoUfz4qaKW0JZ+Oc2tOWWtgMLqHwdMYSwOxni5oxwY
 BVc1q2MOuO/dNjGLxlFf3/4X4aXqYiU=
X-Google-Smtp-Source: ADUXVKIq1GZwzjdOssMiguNdh762VCFBnu+dmeLkDyRzbI8x5yNTrS/huCwN4Cxcq+misOH+UKam3Q==
X-Received: by 2002:a1c:6803:: with SMTP id
 d3-v6mr10750014wmc.70.1527527762673; 
 Mon, 28 May 2018 10:16:02 -0700 (PDT)
Received: from rpluim (vav06-1-78-207-202-134.fbx.proxad.net. [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id q194-v6sm16978573wmd.26.2018.05.28.10.16.01
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 28 May 2018 10:16:01 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Alain Knaff <Alain.Knaff@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN>
 <87y3g3hj2p.fsf@HIDDEN>
 <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN>
 <87o9gzhiac.fsf@HIDDEN>
 <771b7db2-01b4-7124-e404-084d5d442ce8@HIDDEN>
 <87k1rnhgzc.fsf@HIDDEN>
 <937d6bb9-2982-d289-a245-1ad642c5cd2e@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 28 May 2018 19:16:01 +0200
In-Reply-To: <937d6bb9-2982-d289-a245-1ad642c5cd2e@HIDDEN> (Alain Knaff's
 message of "Mon, 28 May 2018 16:59:29 +0000")
Message-ID: <87fu2bhfam.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alain Knaff <Alain.Knaff@HIDDEN> writes:

> On 2018-05-28 18:39, Robert Pluim wrote:
>> Alain Knaff <Alain.Knaff@HIDDEN> writes:
> [...]
>>> If it's inside GTK, then why are only dired buffers affected? For
>>> instance, a buffer containing a Java file or something else is not affected.
>> 
>> The error message you quoted happens when creating menus, and those
>> menus are mode-specific, so different for java and dired.
>
> A yes, now indeed I see it... dired has more items in its main menu, and
> it tries to fit them all into one line...
>
> ... maybe then one workaround would be to use a smaller font for the
> menu. But how does one do that? I tried putting the following into my
> ~/.Xdefaults, but it did nothing :-(
>
> Emacs*menubar*Font: 		-*-*-bold-r-*-*-*-80-*-*-*-*-iso8859-*

If your emacs is compiled to use GTK, then it uses GTK resources to
specify the appearance of the menus. The info node 'GTK resources'
in the emacs user manual describes how they're used.

Regards

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 17:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 13:07:38 2018
Received: from localhost ([127.0.0.1]:52669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNLcQ-0004Ri-0B
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 13:07:38 -0400
Received: from postino-1.mail.etat.lu ([185.106.24.41]:52245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNLcL-0004RY-Se
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 13:07:34 -0400
Received: from dispatcher-1.mail.etat.lu (dispatch-1.cie.etat.lu
 [148.110.136.40])
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by postino-1.mail.etat.lu (Postfix) with ESMTPS id 28606EA20A;
 Mon, 28 May 2018 19:07:33 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=etat.lu;
 s=mail201504; t=1527527253;
 bh=AkO8xLJkisFSitEib+M/nA6UYjdhbqu6RVJNZudItQo=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version:From;
 b=NmtvbcvI/lF5/f+gCcPzvmLRfwGTKRz+emwPYVwUkjv7MEsztyBavn/qKmLTCWE9i
 FUsvuqTr0FclfBHzSheM4BNBAqQ7R8SjbhX8zPZ75/t80g4lLwHWCF2O0Aexwx9zbS
 nQnAO/GW6lPGa1hvPjROo3QmK5O8BfCCtJiWCN+BZBzuJ8TfD+xxDa0aslD2GQaF68
 fMp6m9n1QEtW088OjTmRK7QdydLfCdJtcgkJ+g9M9WiZbB0WXU72wutiF8iYqWHmW7
 aaIiUZwWmIE03h72qwrvqRmE8RhKrVvHFOykOH981qSY9YGWg357mu4H0EYItjel8D
 Rvmug9tMuwTgA==
Received: from dispatcher-1.mail.etat.lu (localhost [127.0.0.1])
 by localhost (CTIE ESMTP Dispatch 1) with SMTP id EA58B5806B;
 Mon, 28 May 2018 19:07:32 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (ex16mbxprd-06.gouv.etat.lu
 [148.110.210.74]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by dispatcher-1.mail.etat.lu (CTIE ESMTP Dispatch 1) with ESMTPS id E31A758069;
 Mon, 28 May 2018 19:07:32 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (148.110.210.74) by
 EX16MBXPRD-10.gouv.etat.lu (148.110.210.76) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.1415.2; Mon, 28 May 2018 19:07:32 +0200
Received: from EX16MBXPRD-06.gouv.etat.lu ([::1]) by
 EX16MBXPRD-06.gouv.etat.lu ([::1]) with mapi id 15.01.1415.007; Mon, 28 May
 2018 19:07:32 +0200
From: Alain Knaff <Alain.Knaff@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
Thread-Topic: bug#31626: Emacs window resizes when entering dired mode
Thread-Index: AQHT9oQkRA7ImwLKqUOzFzthwHJEjKRFDXeAgAA9zzr//+AMAIAAJLRW///gmACAACdJ3///5AWAAABH/gA=
Date: Mon, 28 May 2018 17:07:32 +0000
Message-ID: <0be7e907-c62e-d450-64de-ea2b44e12dd1@HIDDEN>
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN> <87y3g3hj2p.fsf@HIDDEN>
 <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN> <87o9gzhiac.fsf@HIDDEN>
 <771b7db2-01b4-7124-e404-084d5d442ce8@HIDDEN> <87k1rnhgzc.fsf@HIDDEN>
 <937d6bb9-2982-d289-a245-1ad642c5cd2e@HIDDEN>
In-Reply-To: <937d6bb9-2982-d289-a245-1ad642c5cd2e@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [148.110.22.69]
Content-Type: text/plain; charset="utf-8"
Content-ID: <B3DE0E93B8329949B0F59913203D9BC8@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

DQoNCk9uIDIwMTgtMDUtMjggMTg6NTksIEFsYWluIEtuYWZmIHdyb3RlOg0KWy4uLl0NCj4gQSB5
ZXMsIG5vdyBpbmRlZWQgSSBzZWUgaXQuLi4gZGlyZWQgaGFzIG1vcmUgaXRlbXMgaW4gaXRzIG1h
aW4gbWVudSwgYW5kDQo+IGl0IHRyaWVzIHRvIGZpdCB0aGVtIGFsbCBpbnRvIG9uZSBsaW5lLi4u
DQoNCi4uLiBhbmQgaW5kZWVkLCBpZiBJIGRpc2FibGUgdGhlIG1lbnUgYmFyIHdpdGggKG1lbnUt
YmFyLW1vZGUgLTEpLCB0aGUNCmlzc3VlIGRpc2FwcGVhcnMgOi0pDQoNCg0KDQoNCi0tIA0KQWxh
aW4gS25hZmYNCkluZ8OpbmlldXIgSW5mb3JtYXRpY2llbg0KDQpMRSBHT1VWRVJORU1FTlQgRFUg
R1JBTkQtRFVDSMOJIERFIExVWEVNQk9VUkcNCk1pbmlzdMOocmUgZHUgRMOpdmVsb3BwZW1lbnQg
ZHVyYWJsZSBldCBkZXMgSW5mcmFzdHJ1Y3R1cmVzDQpBZG1pbmlzdHJhdGlvbiBkZSBs4oCZZW52
aXJvbm5lbWVudA0KDQoxLCBhdmVudWUgZHUgUm9jayduJ1JvbGwgLiBMLTQzNjEgRXNjaC1zdXIt
QWx6ZXR0ZQ0KVMOpbC4gKCszNTIpIDQwIDU2IDU2LTMwOQ0KRS1NYWlsOiBBbGFpbi5LbmFmZkBh
ZXYuZXRhdC5sdQ0Kd3d3LmdvdXZlcm5lbWVudC5sdSAuIHd3dy5sdXhlbWJvdXJnLmx1




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 16:59:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 12:59:33 2018
Received: from localhost ([127.0.0.1]:52665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNLUb-0004FO-4h
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 12:59:33 -0400
Received: from postino-2.mail.etat.lu ([185.106.24.42]:57729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNLUZ-0004FG-7Z
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 12:59:31 -0400
Received: from dispatcher-1.mail.etat.lu (dispatch-1.cie.etat.lu
 [148.110.136.40])
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by postino-2.mail.etat.lu (Postfix) with ESMTPS id 04D8B142F3;
 Mon, 28 May 2018 18:59:29 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=etat.lu;
 s=mail201504; t=1527526770;
 bh=aqUPU80AyPBHILY/BL2a+qw+hIhtVaakwJC9hW48D/k=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version:From;
 b=UQs2KN0Md7Jp14fwrdA/nf6kYfkIp4WvP7sdmy07nWI2JpP63JUxBshl8OawaL+R8
 LRO+pIZqjBvnW3BhK3Y7i69fNomMBFncoXIbWGgJ7Gtz9Y/7trtygiBGfAdoA6lPHe
 kac4NVNJisDP2SNFx79/hiZ2JieKI0OwRcVEtRTu9s9fByZj1IbFEebPCeb6qYQIZ+
 vmdSig3m9iyssnK9dSLOpFSRAeT/oXh+GJOuPxVaNbyN+Fnu+pnRvFGsradZJdwki5
 Jg4bs8gbci6r5RQoghiJo3HVhm7abiIpkFAQswnB7XehShHriK5JY5xvZ4irR58hG+
 EohV5JZDUMFmQ==
Received: from dispatcher-1.mail.etat.lu (localhost [127.0.0.1])
 by localhost (CTIE ESMTP Dispatch 1) with SMTP id DA9D25806B;
 Mon, 28 May 2018 18:59:29 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (ex16mbxprd-06.gouv.etat.lu
 [148.110.210.74]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by dispatcher-1.mail.etat.lu (CTIE ESMTP Dispatch 1) with ESMTPS id D365D58069;
 Mon, 28 May 2018 18:59:29 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (148.110.210.74) by
 EX16MBXPRD-02.gouv.etat.lu (148.110.210.72) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.1415.2; Mon, 28 May 2018 18:59:29 +0200
Received: from EX16MBXPRD-06.gouv.etat.lu ([::1]) by
 EX16MBXPRD-06.gouv.etat.lu ([::1]) with mapi id 15.01.1415.007; Mon, 28 May
 2018 18:59:29 +0200
From: Alain Knaff <Alain.Knaff@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
Thread-Topic: bug#31626: Emacs window resizes when entering dired mode
Thread-Index: AQHT9oQkRA7ImwLKqUOzFzthwHJEjKRFDXeAgAA9zzr//+AMAIAAJLRW///gmACAACdJ3///5AWA
Date: Mon, 28 May 2018 16:59:29 +0000
Message-ID: <937d6bb9-2982-d289-a245-1ad642c5cd2e@HIDDEN>
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN> <87y3g3hj2p.fsf@HIDDEN>
 <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN> <87o9gzhiac.fsf@HIDDEN>
 <771b7db2-01b4-7124-e404-084d5d442ce8@HIDDEN> <87k1rnhgzc.fsf@HIDDEN>
In-Reply-To: <87k1rnhgzc.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [148.110.22.69]
Content-Type: text/plain; charset="utf-8"
Content-ID: <178615B2EE4B6B4AB5E7C10BAA2019FA@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 16:39:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 12:39:46 2018
Received: from localhost ([127.0.0.1]:52656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNLBR-0003nv-PI
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 12:39:46 -0400
Received: from mail-wr0-f174.google.com ([209.85.128.174]:33403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fNLBP-0003nf-92
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 12:39:43 -0400
Received: by mail-wr0-f174.google.com with SMTP id a15-v6so21199314wrm.0
 for <31626 <at> debbugs.gnu.org>; Mon, 28 May 2018 09:39:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=mtIrYMNtRe3oksUyfSxUW4pdltNe0B+0D61UBIq/8Tc=;
 b=bjUy/r9e1d9Da1vWavfavPcXX1m+zopx1bGPmyy+yuuZuVhTOJJesendM/DMqLIq2d
 DdLjX2b3/ebc/Y7hemBaB9ywb/s+MZHp7ybniN9Wp/vdugsPvQcBG5IEa6XD6ni2IPIG
 XX4OpGmGlsog0VtJEYT/YJPRoLQkOYWqkSkD53u/4xoWbLABivlUu3qbm/Gr0nnRDbXS
 7zToxsJg99fujdfCUYe+ZDbdDkItdrUvfD/MXUh/PSWJYdl77Nggs//5Td2BFPu2AYWG
 Jfkk8w3nK609X4ipQPK4kpLJx84FvwIqXb7vhxWyASnCARl1mKk3vbSw4BDLx5UcxAj5
 YrXQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=mtIrYMNtRe3oksUyfSxUW4pdltNe0B+0D61UBIq/8Tc=;
 b=MN0qMOJstHh0mlPQ5Pzi2JtRBkNku3/Q45uocdbBuuBzkcR1EYRoOidBWab1+9LLFe
 SgEiGOiqCnXpAMQQWrvlAarehMXUwhJzM3ZFaGtKMXO8WSa93ZvM9iN7Ilz+LfIDD41i
 b5vDT4kTeZRajMAenfpbUdlIqQXhm8q2SFlZhqmtQwpgXvW/vM5mob467cjqJg+7j/eN
 pD9GJ1E3H52uhHs0odzk/H3B9BI7teh1hyo1bh6yL/V8Dgebaru0gqkRYECKp3l/czte
 yWe9nh51JVWgSQjkuYFtFvhtEZTpwkhMWDJpEbs62gvl3S7WyDCCsexy3iqKU6NzHnJ7
 K4pA==
X-Gm-Message-State: ALKqPwfjiTbBcPuFqM6DLXdwbKBEssDSCCDHoPlrfBkmpEfFotmmP87N
 s/9B9sSPr5Qdu5DT/C2k4LKJ24D1faM=
X-Google-Smtp-Source: AB8JxZps+Jz49gD2M2vhddRZyF0bq/U5ins+q62ZC61zZswp4z/YKOOVyimwtunXpsv9KTPFiNsJhw==
X-Received: by 2002:adf:982d:: with SMTP id
 v42-v6mr11718114wrb.93.1527525577120; 
 Mon, 28 May 2018 09:39:37 -0700 (PDT)
Received: from rpluim (vav06-1-78-207-202-134.fbx.proxad.net. [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id x63-v6sm21899303wma.25.2018.05.28.09.39.35
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 28 May 2018 09:39:36 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Alain Knaff <Alain.Knaff@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN>
 <87y3g3hj2p.fsf@HIDDEN>
 <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN>
 <87o9gzhiac.fsf@HIDDEN>
 <771b7db2-01b4-7124-e404-084d5d442ce8@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 28 May 2018 18:39:35 +0200
In-Reply-To: <771b7db2-01b4-7124-e404-084d5d442ce8@HIDDEN> (Alain Knaff's
 message of "Mon, 28 May 2018 16:19:02 +0000")
Message-ID: <87k1rnhgzc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Alain Knaff <Alain.Knaff@HIDDEN> writes:

> On 2018-05-28 18:11, Robert Pluim wrote:
> [...]
>> The scaling is not dired-specific, it=CA=BCs inside GTK, so there=CA=BCs=
 nothing
>> you can do to dired to change it.
>
> If it's inside GTK, then why are only dired buffers affected? For
> instance, a buffer containing a Java file or something else is not affect=
ed.

The error message you quoted happens when creating menus, and those
menus are mode-specific, so different for java and dired.

> So I guess emacs is calling a certain gtk function when a dired buffer
> is active, that it does not call for other buffers. Which call could
> that be? Initiative *must* come from somewhere inside emacs, or else
> emacs-specific actions such as pressing C-x o would not be able to
> trigger it.
>

Yes, but unfortunately it=CA=BCs not that simple, else we would have fixed
it already :-)

>
> Possibly also this is a call that emacs did not invoke on older
> versions? (but here, it is just as well possible that Ubuntu 18.04's GTK
> performs that call differently than Ubuntu 16.04's GTK)
>
>>=20
>> Emacs-26 was released about 2 hours ago, so I doubt anyone's packaged it=
 yet.
>
> ok :-)
>
>> I=CA=BCve attached the announcement, perhaps you can build emacs from so=
urce?
>
> ... or I'll just wait until the distributors pick it up :-)
>

OK. Please let us know how it goes.

Regards

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 16:19:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 12:19:09 2018
Received: from localhost ([127.0.0.1]:52646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNKrV-0003KM-7K
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 12:19:09 -0400
Received: from postino-2.mail.etat.lu ([185.106.24.42]:54774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNKrT-0003KD-3o
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 12:19:07 -0400
Received: from dispatcher-2.mail.etat.lu (dispatch-2.cie.etat.lu
 [148.110.136.41])
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by postino-2.mail.etat.lu (Postfix) with ESMTPS id 7518A1437F;
 Mon, 28 May 2018 18:19:06 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=etat.lu;
 s=mail201504; t=1527524346;
 bh=esD6NshfBk4s4MyAKfWjQLktZn2nZDrr0a1biYrlBxA=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version:From;
 b=pVAZHKxJGtNQkWLsxB23dhY03o8ZAZU+MWElUQnCNRLld49WxoYdvPPvQUs/z4WhZ
 WNFIF1qghZ24yR6nBUR7ytOGvAmTVV3Wp+pzB2Efzd/2+zyfQiyRAG0AGUz13sOq6d
 DwuF29NnkqZZbZ63Rvo+CWQYfyYhSQIsQlX7l9+1p3L+ZqTIk83Zc7bPXoaMmvuONJ
 G+5OJAjtZhPBYn+oH63S2WAby36vpyvhkX9+asu/4nbBvYgB8Ywcx6QoiyU/FJ3xR5
 3XafDUzWYm3028f5iR3nScn2co8fIm8Ymn9AmXhRrTW9iNHCm5pCs65tI9Vuyh1daI
 ibureW5J883Sw==
Received: from dispatcher-2.mail.etat.lu (localhost [127.0.0.1])
 by localhost (CTIE ESMTP Dispatch 2) with SMTP id 486AE214084;
 Mon, 28 May 2018 18:19:06 +0200 (CEST)
Received: from EX16MBXPRD-08.gouv.etat.lu (ex16mbxprd-08.gouv.etat.lu
 [148.110.210.75]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by dispatcher-2.mail.etat.lu (CTIE ESMTP Dispatch 2) with ESMTPS id
 4124D214082; Mon, 28 May 2018 18:19:03 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (148.110.210.74) by
 EX16MBXPRD-08.gouv.etat.lu (148.110.210.75) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.1415.2; Mon, 28 May 2018 18:19:03 +0200
Received: from EX16MBXPRD-06.gouv.etat.lu ([::1]) by
 EX16MBXPRD-06.gouv.etat.lu ([::1]) with mapi id 15.01.1415.007; Mon, 28 May
 2018 18:19:02 +0200
From: Alain Knaff <Alain.Knaff@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
Thread-Topic: bug#31626: Emacs window resizes when entering dired mode
Thread-Index: AQHT9oQkRA7ImwLKqUOzFzthwHJEjKRFDXeAgAA9zzr//+AMAIAAJLRW///gmAA=
Date: Mon, 28 May 2018 16:19:02 +0000
Message-ID: <771b7db2-01b4-7124-e404-084d5d442ce8@HIDDEN>
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN> <87y3g3hj2p.fsf@HIDDEN>
 <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN> <87o9gzhiac.fsf@HIDDEN>
In-Reply-To: <87o9gzhiac.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [148.110.22.69]
Content-Type: text/plain; charset="utf-8"
Content-ID: <63F38E3281884F4EB6D7C237EF2D4759@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

DQoNCk9uIDIwMTgtMDUtMjggMTg6MTEsIFJvYmVydCBQbHVpbSB3cm90ZToNClsuLi5dDQo+IFRo
ZSBzY2FsaW5nIGlzIG5vdCBkaXJlZC1zcGVjaWZpYywgaXTKvHMgaW5zaWRlIEdUSywgc28gdGhl
cmXKvHMgbm90aGluZw0KPiB5b3UgY2FuIGRvIHRvIGRpcmVkIHRvIGNoYW5nZSBpdC4NCg0KSWYg
aXQncyBpbnNpZGUgR1RLLCB0aGVuIHdoeSBhcmUgb25seSBkaXJlZCBidWZmZXJzIGFmZmVjdGVk
PyBGb3INCmluc3RhbmNlLCBhIGJ1ZmZlciBjb250YWluaW5nIGEgSmF2YSBmaWxlIG9yIHNvbWV0
aGluZyBlbHNlIGlzIG5vdCBhZmZlY3RlZC4NCg0KU28gSSBndWVzcyBlbWFjcyBpcyBjYWxsaW5n
IGEgY2VydGFpbiBndGsgZnVuY3Rpb24gd2hlbiBhIGRpcmVkIGJ1ZmZlcg0KaXMgYWN0aXZlLCB0
aGF0IGl0IGRvZXMgbm90IGNhbGwgZm9yIG90aGVyIGJ1ZmZlcnMuIFdoaWNoIGNhbGwgY291bGQN
CnRoYXQgYmU/IEluaXRpYXRpdmUgKm11c3QqIGNvbWUgZnJvbSBzb21ld2hlcmUgaW5zaWRlIGVt
YWNzLCBvciBlbHNlDQplbWFjcy1zcGVjaWZpYyBhY3Rpb25zIHN1Y2ggYXMgcHJlc3NpbmcgQy14
IG8gd291bGQgbm90IGJlIGFibGUgdG8NCnRyaWdnZXIgaXQuDQoNCg0KUG9zc2libHkgYWxzbyB0
aGlzIGlzIGEgY2FsbCB0aGF0IGVtYWNzIGRpZCBub3QgaW52b2tlIG9uIG9sZGVyDQp2ZXJzaW9u
cz8gKGJ1dCBoZXJlLCBpdCBpcyBqdXN0IGFzIHdlbGwgcG9zc2libGUgdGhhdCBVYnVudHUgMTgu
MDQncyBHVEsNCnBlcmZvcm1zIHRoYXQgY2FsbCBkaWZmZXJlbnRseSB0aGFuIFVidW50dSAxNi4w
NCdzIEdUSykNCg0KPiANCj4gRW1hY3MtMjYgd2FzIHJlbGVhc2VkIGFib3V0IDIgaG91cnMgYWdv
LCBzbyBJIGRvdWJ0IGFueW9uZSdzIHBhY2thZ2VkIGl0IHlldC4NCg0Kb2sgOi0pDQoNCj4gScq8
dmUgYXR0YWNoZWQgdGhlIGFubm91bmNlbWVudCwgcGVyaGFwcyB5b3UgY2FuIGJ1aWxkIGVtYWNz
IGZyb20gc291cmNlPw0KDQouLi4gb3IgSSdsbCBqdXN0IHdhaXQgdW50aWwgdGhlIGRpc3RyaWJ1
dG9ycyBwaWNrIGl0IHVwIDotKQ0KDQo+IA0KPiBSZWdhcmRzDQo+IA0KPiBSb2JlcnQNCj4gDQoN
ClJlZ2FyZHMsDQoNCi0tIA0KQWxhaW4gS25hZmYNCkluZ8OpbmlldXIgSW5mb3JtYXRpY2llbg0K
DQpMRSBHT1VWRVJORU1FTlQgRFUgR1JBTkQtRFVDSMOJIERFIExVWEVNQk9VUkcNCk1pbmlzdMOo
cmUgZHUgRMOpdmVsb3BwZW1lbnQgZHVyYWJsZSBldCBkZXMgSW5mcmFzdHJ1Y3R1cmVzDQpBZG1p
bmlzdHJhdGlvbiBkZSBs4oCZZW52aXJvbm5lbWVudA0KDQoxLCBhdmVudWUgZHUgUm9jayduJ1Jv
bGwgLiBMLTQzNjEgRXNjaC1zdXItQWx6ZXR0ZQ0KVMOpbC4gKCszNTIpIDQwIDU2IDU2LTMwOQ0K
RS1NYWlsOiBBbGFpbi5LbmFmZkBhZXYuZXRhdC5sdQ0Kd3d3LmdvdXZlcm5lbWVudC5sdSAuIHd3
dy5sdXhlbWJvdXJnLmx1




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 16:11:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 12:11:33 2018
Received: from localhost ([127.0.0.1]:52637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNKk8-00038T-Ro
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 12:11:33 -0400
Received: from mail-wm0-f47.google.com ([74.125.82.47]:55758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fNKk7-00038B-8Z
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 12:11:31 -0400
Received: by mail-wm0-f47.google.com with SMTP id a8-v6so33347557wmg.5
 for <31626 <at> debbugs.gnu.org>; Mon, 28 May 2018 09:11:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=R+s7R13/Sr7qgO8JdZjMw9A41URK6PqTboLN71YoLhw=;
 b=pqWuMj1vJ2MniDg4NOh1KkbXXqTg6+yTC/AVToweZ0dFDUHXicX9HsfIHIMtNAXn06
 x4b7FLCWNiWVjw+ROi5E3vzyK8gtWGvzTGLyAMIyQhSSKMPmjU3N8f8C/3ZXuSfen+zw
 DTfcFvAVYlN9zTzQ6+gQGHNWWsI51aVTmPvSXIBmPXFpN6jV3RJmU3NDVk/ZIBJAzL1y
 T+w5qzgqVXp7kGF6s+pH3DzgQ3aJk/5qQSdVYNaaivBX6C24aSHeSeRFnaO6tVzn8Iz2
 KjcfAoggbbFXjfvqLClPLvXrjw/1wRGvSsxS+HsbtRARQuZYSW0fZ0DwvlVTDYVVT0l0
 QsIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=R+s7R13/Sr7qgO8JdZjMw9A41URK6PqTboLN71YoLhw=;
 b=b1T8FNoQhaA0CSX2/O99Im2uCWn5jqZ16BqWAAVKSNeSWct+P8PaainMlkLVDGuSfB
 cKylPAGPLxoNhQt5IH2Px7Pn72qM0qY3tegToSALwaIQSnNfx9e0nAVbMTlo47s42aQD
 fVgMi90RUmO74+mrfAdprz6h5Hg7mnG2Pf4mSjFi4oNLRwifnY2LBOsZGFbxr2cooGFn
 XIYZFyLRH4ro4AoPYgtG2rpgNC47eDptllghPCJYK806CHlO5wzrhdwm4hyXsPp/vpzV
 8s5c/RlS6YenOPFIgz4d3DNYNAnpQvILj+sicpQ6pfIygq8tDEh/eK1nMsVw1t9dvI3G
 8pKQ==
X-Gm-Message-State: ALKqPwc053+t13sbmsA/AJWzweDuJs3/asSP+I91OomOSr3noNcSAFny
 ebzJZPZglS420AfTgaBGJAClVyckbKI=
X-Google-Smtp-Source: ADUXVKJkJ5ucB8NJik9l6cj3HybGUkuVis3actYH8kwET8avaXvdMxBx8Tnzv6THmbR1TplE6NqXsg==
X-Received: by 2002:a1c:d546:: with SMTP id
 m67-v6mr10714166wmg.117.1527523885264; 
 Mon, 28 May 2018 09:11:25 -0700 (PDT)
Received: from rpluim (vav06-1-78-207-202-134.fbx.proxad.net. [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id 76-v6sm39449880wmj.0.2018.05.28.09.11.24
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 28 May 2018 09:11:24 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Alain Knaff <Alain.Knaff@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN>
 <87y3g3hj2p.fsf@HIDDEN>
 <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 28 May 2018 18:11:23 +0200
In-Reply-To: <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN> (Alain Knaff's
 message of "Mon, 28 May 2018 16:00:03 +0000")
Message-ID: <87o9gzhiac.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Alain Knaff <Alain.Knaff@HIDDEN> writes:

>> There have been some scaling related fixes in the just-released
>> emacs-26, would it be possible for you to try that version?
>
> Is there a repository where I can easily get that version from into
> Ubuntu? Or else, is there a way to disable this "scaling" in dired mode?
> Apparently it seems that this is something specific that dired "does",
> for whatever reason, as it happens in no other circumstance.

The scaling is not dired-specific, it=CA=BCs inside GTK, so there=CA=BCs no=
thing
you can do to dired to change it.

Emacs-26 was released about 2 hours ago, so I doubt anyone's packaged it ye=
t.
I=CA=BCve attached the announcement, perhaps you can build emacs from sourc=
e?

Regards

Robert


--=-=-=
Content-Type: text/plain
Content-Disposition: inline

Date: Mon, 28 May 2018 16:14:22 +0200
Date: 1 hour, 56 minutes, 48 seconds ago
From: Nicolas Petton <nicolas@HIDDEN>
To: Emacs Devel <emacs-devel@HIDDEN>
Newsgroups: gmane.emacs.announce
Subject: [ANNOUNCE] Emacs 26.1 released
Keywords: emacs-announce

[[PGP Signed Part:Undecided]]
[1. text/plain]
Hi!

Version 26.1 of the Emacs text editor is now available.

For more information on Emacs, see:
  http://www.gnu.org/software/emacs

You can retrieve the source from your nearest GNU mirror by using one
of the following links:
  http://ftpmirror.gnu.org/emacs/emacs-26.1.tar.xz
  http://ftpmirror.gnu.org/emacs/emacs-26.1.tar.gz

You can get the PGP signatures at
  http://ftp.gnu.org/gnu/emacs/emacs-26.1.tar.xz.sig
  http://ftp.gnu.org/gnu/emacs/emacs-26.1.tar.gz.sig

You can choose a mirror explicitly from the list at:
  http://www.gnu.org/prep/ftp.html

Mirrors may take some time to update; the main GNU ftp server is at:
  http://ftp.gnu.org/gnu/emacs/

Highlights of this release include:

  - Limited form of concurrency with Lisp threads
  
  - Support for optional display of line numbers in the buffer
  
  - Emacs now uses double buffering to reduce flicker on the X Window
    System
  
  - Flymake has been completely redesigned
  
  - TRAMP has a new connection method for Google Drive
  
  - New single-line horizontal scrolling mode
  
  - A systemd user unit file is provided
  
  - Support for 24-bit colors on capable text terminals

There are many more changes; for a summary see the etc/NEWS file,
which you can view from Emacs with `C-h n'.

For the complete list of changes and the people who made them, see the
various ChangeLog files in the source distribution.  For a summary
of all the people who have contributed to Emacs, see the etc/AUTHORS
file.

Printed copies of the Emacs manual are available for purchase from the
Free Software Foundation's online store at:
http://shop.fsf.org/product/emacs-manual/

Regards,
Nico

[[End of PGP Signed Part]]

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 16:00:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 12:00:11 2018
Received: from localhost ([127.0.0.1]:52627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNKZ9-0002s7-0H
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 12:00:11 -0400
Received: from postino-2.mail.etat.lu ([185.106.24.42]:51470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNKZ6-0002r8-BA
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 12:00:10 -0400
Received: from dispatcher-1.mail.etat.lu (dispatch-1.cie.etat.lu
 [148.110.136.40])
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by postino-2.mail.etat.lu (Postfix) with ESMTPS id B37D614107;
 Mon, 28 May 2018 18:00:07 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=etat.lu;
 s=mail201504; t=1527523207;
 bh=baCyrWZx+dMn7VA5ItZcgy8B94pMSnc/mFYxlsH3x1Y=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version:From;
 b=RUCRukhH5leiSI+gd6a4TZqsorgW2waYAyh8NczJsQEAxPbtE3RrF6Jwv5z8OSUp1
 eQsDFSFKa/JWAaaGl9mehKsqTGiWKrwHro6FInpg/j6lElzhUESDkShawJQ7YdGyov
 Z3eLnhS7n/lbXWF86YO3ugv1191Z7PmKNvMpvexXIE7ymXqtKI7sx1tYNhpDMaNbdp
 GmjUuDulA2+nru6ZjXUhXa+WcOAoEFh29RulR/GIN5QAUL77PIJjOgVdF7kGMBypky
 CocqJkltDY2M40sozXkFAuLhaGxBz2kBWbE3mrkcl/YEhWB9+FN0p2obkbrhJI4WwV
 BkWi/iIanG9Fw==
Received: from dispatcher-1.mail.etat.lu (localhost [127.0.0.1])
 by localhost (CTIE ESMTP Dispatch 1) with SMTP id 4028C58073;
 Mon, 28 May 2018 18:00:07 +0200 (CEST)
Received: from EX16MBXPRD-02.gouv.etat.lu (ex16mbxprd-02.gouv.etat.lu
 [148.110.210.72]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by dispatcher-1.mail.etat.lu (CTIE ESMTP Dispatch 1) with ESMTPS id 38EF45806B;
 Mon, 28 May 2018 18:00:04 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (148.110.210.74) by
 EX16MBXPRD-02.gouv.etat.lu (148.110.210.72) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.1415.2; Mon, 28 May 2018 18:00:04 +0200
Received: from EX16MBXPRD-06.gouv.etat.lu ([::1]) by
 EX16MBXPRD-06.gouv.etat.lu ([::1]) with mapi id 15.01.1415.007; Mon, 28 May
 2018 18:00:04 +0200
From: Alain Knaff <Alain.Knaff@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
Thread-Topic: bug#31626: Emacs window resizes when entering dired mode
Thread-Index: AQHT9oQkRA7ImwLKqUOzFzthwHJEjKRFDXeAgAA9zzr//+AMAA==
Date: Mon, 28 May 2018 16:00:03 +0000
Message-ID: <142b1b60-77ac-01bf-97d8-599cb43e27b1@HIDDEN>
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN> <87y3g3hj2p.fsf@HIDDEN>
In-Reply-To: <87y3g3hj2p.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [148.110.22.69]
Content-Type: text/plain; charset="utf-8"
Content-ID: <794F7EB5CB1DB246A3EAB81D5FC10010@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

DQoNCk9uIDIwMTgtMDUtMjggMTc6NTQsIFJvYmVydCBQbHVpbSB3cm90ZToNClsuLi5dDQo+IE15
IGNyeXN0YWwgYmFsbCBzYXlzIHlvdcq8cmUgdXNpbmcgYSBIaURwaSBkaXNwbGF5LCBhbmQgeW91
IGhhdmUgbWVudXMNCj4gZW5hYmxlZC4gU2V0dGluZyB0aGUgZW52aXJvbm1lbnQgdmFyaWFibGUg
R0RLX1NDQUxFIHRvIDEgYmVmb3JlDQo+IHJ1bm5pbmcgZW1hY3MgbWlnaHQgaGVscC4NCg0KTm9w
ZSwgZG9lc24ndCBoZWxwLCB1bmZvcnR1bmF0ZWx5IDotKA0KDQo+IA0KPiBUaGVyZSBoYXZlIGJl
ZW4gc29tZSBzY2FsaW5nIHJlbGF0ZWQgZml4ZXMgaW4gdGhlIGp1c3QtcmVsZWFzZWQNCj4gZW1h
Y3MtMjYsIHdvdWxkIGl0IGJlIHBvc3NpYmxlIGZvciB5b3UgdG8gdHJ5IHRoYXQgdmVyc2lvbj8N
Cg0KSXMgdGhlcmUgYSByZXBvc2l0b3J5IHdoZXJlIEkgY2FuIGVhc2lseSBnZXQgdGhhdCB2ZXJz
aW9uIGZyb20gaW50bw0KVWJ1bnR1PyBPciBlbHNlLCBpcyB0aGVyZSBhIHdheSB0byBkaXNhYmxl
IHRoaXMgInNjYWxpbmciIGluIGRpcmVkIG1vZGU/DQpBcHBhcmVudGx5IGl0IHNlZW1zIHRoYXQg
dGhpcyBpcyBzb21ldGhpbmcgc3BlY2lmaWMgdGhhdCBkaXJlZCAiZG9lcyIsDQpmb3Igd2hhdGV2
ZXIgcmVhc29uLCBhcyBpdCBoYXBwZW5zIGluIG5vIG90aGVyIGNpcmN1bXN0YW5jZS4NCg0KPiAN
Cj4gUmVnYXJkcw0KPiANCj4gUm9iZXJ0DQo+IA0KDQpUaGFua3MsDQoNCi0tIA0KQWxhaW4gS25h
ZmYNCkluZ8OpbmlldXIgSW5mb3JtYXRpY2llbg0KDQpMRSBHT1VWRVJORU1FTlQgRFUgR1JBTkQt
RFVDSMOJIERFIExVWEVNQk9VUkcNCk1pbmlzdMOocmUgZHUgRMOpdmVsb3BwZW1lbnQgZHVyYWJs
ZSBldCBkZXMgSW5mcmFzdHJ1Y3R1cmVzDQpBZG1pbmlzdHJhdGlvbiBkZSBs4oCZZW52aXJvbm5l
bWVudA0KDQoxLCBhdmVudWUgZHUgUm9jayduJ1JvbGwgLiBMLTQzNjEgRXNjaC1zdXItQWx6ZXR0
ZQ0KVMOpbC4gKCszNTIpIDQwIDU2IDU2LTMwOQ0KRS1NYWlsOiBBbGFpbi5LbmFmZkBhZXYuZXRh
dC5sdQ0Kd3d3LmdvdXZlcm5lbWVudC5sdSAuIHd3dy5sdXhlbWJvdXJnLmx1




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 15:54:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 11:54:32 2018
Received: from localhost ([127.0.0.1]:52622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNKTg-0002ih-8y
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 11:54:32 -0400
Received: from mail-wr0-f174.google.com ([209.85.128.174]:42926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fNKTe-0002iW-Sw
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 11:54:31 -0400
Received: by mail-wr0-f174.google.com with SMTP id w10-v6so20997704wrk.9
 for <31626 <at> debbugs.gnu.org>; Mon, 28 May 2018 08:54:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=vJ4IlEgMZFXMXAmEtdjgrwtZerN+ZOP5yt3xApFdk4M=;
 b=b82Tymd1nT6E+4bqNuRiZE1oZKRR6b46SlcRUUJ68CV+1UR+l12UtnM0k/MYnsDFdJ
 EhaoPwD06BToqPYJv5SnVjg3qjimMrdXhZgHG+9uEA/xOTMTJvnZZ3sRaxVCIrlkG/xI
 ar+QNnyulJKkbVDQBlpEQoXxwZdL5F1kZ1cBIT0H43UgSnEzTzXGYFIQdwqqwZ9TVBFM
 LN/fA0QDNM7rZKvkCr2liuSRhQluxgfFmpR309YhUmULHPvL1pk8ZjMO4KJ7oKkhU6wv
 cYu7DnjqzK7JJyTgiufM8Ee2i4E5tRE0IWHCR3m/pQr38jdHyJSlSi7fx1XvDO2l/EaU
 nMIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=vJ4IlEgMZFXMXAmEtdjgrwtZerN+ZOP5yt3xApFdk4M=;
 b=PqtLKKKqIa2UrP45TZZSqHQk7lbdKTgtSMlH7ErUy0zf2mea20BYWVDJCc9HV3qg/k
 z2IEvwsij10sid8A2KxdEEAsbD7eVfskoihhLA2Z3BMhdw7XMBfQuGUW62lu0B1Gqgkg
 IB1vjwd7BEhKFzgSA+uobbVGyw14QUfLHslx1bE3WmDt95P0nJxVvz8b70/Rs5/YXzrs
 hTAYRnjmLpgBJBsvfdOOJznh/uGnJ3ebpUE+tfZnF5TrSYEJ1sRXiZIQ8Pgd/9skyEfu
 2YHX0lYFqO1dtrg5fPUFmxCyumIuhnO8r7j692c3Ft9xppi/rrMp7pTuHNmhm636cIWt
 IePw==
X-Gm-Message-State: ALKqPweDvy1G/GRf5I1L6RTc/sPup/TblydMXvzvXdWn+CYm1nNCrDgz
 KVKILLcGAa7L1VT4nvqaRUF3r5Jw
X-Google-Smtp-Source: AB8JxZpC5GDELUbAC2jYcmow7SHHcNea1tlSfXVfcwQZXsM9eVpNinmLVbl3KbkHx8tPi61sWsTxjA==
X-Received: by 2002:adf:8486:: with SMTP id
 6-v6mr10560072wrg.148.1527522864511; 
 Mon, 28 May 2018 08:54:24 -0700 (PDT)
Received: from rpluim (vav06-1-78-207-202-134.fbx.proxad.net. [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id b15-v6sm21800819wri.14.2018.05.28.08.54.22
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 28 May 2018 08:54:23 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Alain Knaff <Alain.Knaff@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <5955037c-a450-3920-2a55-70c21082d857@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 28 May 2018 17:54:22 +0200
In-Reply-To: <5955037c-a450-3920-2a55-70c21082d857@HIDDEN> (Alain Knaff's
 message of "Mon, 28 May 2018 14:13:13 +0000")
Message-ID: <87y3g3hj2p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 31626
Cc: 31626 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Alain Knaff <Alain.Knaff@HIDDEN> writes:

> On 2018-05-28 15:02, Alain Knaff wrote:
>> Hi,
>>=20
>> Whenever I enter dired mode, the emacs window resizes itself. This is
>> undesirable, as windows that jump around interrupt the flow of work.
>>=20
>> It happens with Gnu Emacs 25.2.2 as included on Ubuntu 18.04
>>=20
>> It did not happen with the version included with Ubuntu 16.04
>>=20
>> Thanks for fixing this,>
>
> I noticed that when this happens, the following is printed to stdout:
> gtk_distribute_natural_allocation: assertion 'extra_space >=3D 0' failed
>
> The same is also printed when manually making the window narrower again,
> or changing its width in any way while it is narrower than the width
> dired wants.

My crystal ball says you=CA=BCre using a HiDpi display, and you have menus
enabled. Setting the environment variable GDK_SCALE to 1 before
running emacs might help.

There have been some scaling related fixes in the just-released
emacs-26, would it be possible for you to try that version?

Regards

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 15:49:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 11:49:58 2018
Received: from localhost ([127.0.0.1]:52618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNKPG-0002c6-Lp
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 11:49:58 -0400
Received: from postino-2.mail.etat.lu ([185.106.24.42]:50496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNKPE-0002bx-J7
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 11:49:57 -0400
Received: from dispatcher-1.mail.etat.lu (dispatch-1.cie.etat.lu
 [148.110.136.40])
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by postino-2.mail.etat.lu (Postfix) with ESMTPS id C27F314323;
 Mon, 28 May 2018 17:49:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=etat.lu;
 s=mail201504; t=1527522595;
 bh=6iPc+hDYnS7KJSbpEXQnxXcOeeugKdy0oimLhx4kiwg=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version:From;
 b=opBqcOcyXLPvVkUi0f9yZco4FDZPvKGu12L2nT3osUEn3mntzYmexu8mI0/F4LOZ2
 WCAlxgT5MuFFdz1MI9cE2fV0Iel+ZURfQ6Fuospjgb+TxISU8Q8n71EwTZ9EHx3WuC
 vv38+pcW2BQhFPjS+In4IQizToP8ot8+hjnC5g/1+/k8HBP7tuahjRIKmnwgQNjidF
 HgBrlfUG2OH768rshnmJspqD1QCQC9NMBn5Uayyw5fG2seNkW2eKck2SA2lTPK/3dj
 kpKesp+sWXrMrlktGgEHCklS7ZOeviDJWtQKdwBjQqnfvCBqbHAoCJYOga11NonQfI
 m2mNn+cshnT4g==
Received: from dispatcher-1.mail.etat.lu (localhost [127.0.0.1])
 by localhost (CTIE ESMTP Dispatch 1) with SMTP id ABF8358071;
 Mon, 28 May 2018 17:49:55 +0200 (CEST)
Received: from EX16MBXPRD-08.gouv.etat.lu (ex16mbxprd-08.gouv.etat.lu
 [148.110.210.75]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by dispatcher-1.mail.etat.lu (CTIE ESMTP Dispatch 1) with ESMTPS id A4E7458069;
 Mon, 28 May 2018 17:49:49 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (148.110.210.74) by
 EX16MBXPRD-10.gouv.etat.lu (148.110.210.76) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.1415.2; Mon, 28 May 2018 17:49:49 +0200
Received: from EX16MBXPRD-06.gouv.etat.lu ([::1]) by
 EX16MBXPRD-06.gouv.etat.lu ([::1]) with mapi id 15.01.1415.007; Mon, 28 May
 2018 17:49:49 +0200
From: Alain Knaff <Alain.Knaff@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
Thread-Topic: bug#31626: Emacs window resizes when entering dired mode
Thread-Index: AQHT9oQkRA7ImwLKqUOzFzthwHJEjKRFQ29+///gTYCAAAS5gA==
Date: Mon, 28 May 2018 15:49:49 +0000
Message-ID: <a785045f-2e6e-42da-6a1e-5f55f162dace@HIDDEN>
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <83vab77qf1.fsf@HIDDEN> <aed845ec-2d82-b35b-986c-84e9a6bb4d47@HIDDEN>
In-Reply-To: <aed845ec-2d82-b35b-986c-84e9a6bb4d47@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [148.110.22.69]
Content-Type: text/plain; charset="utf-8"
Content-ID: <80DAEA1D272DA64AAEE963CC191A550D@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 31626
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 15:35:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 11:35:26 2018
Received: from localhost ([127.0.0.1]:52591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNKBB-0002GG-Td
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 11:35:26 -0400
Received: from postino-1.mail.etat.lu ([185.106.24.41]:42578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNK8p-0002BK-Kw
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 11:32:59 -0400
Received: from dispatcher-2.mail.etat.lu (dispatch-2.cie.etat.lu
 [148.110.136.41])
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by postino-1.mail.etat.lu (Postfix) with ESMTPS id BEA4EEA2D4;
 Mon, 28 May 2018 17:32:58 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=etat.lu;
 s=mail201504; t=1527521578;
 bh=PWVWadnhVLbKEsBn4pQRrdUttHUbvgT7+JNkolJESzw=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version:From;
 b=qLEzt126YDDtv/sd5KmLehUVJ7wqYsA3uQhsl57iPmGthp0tQaJq0gaInrUuPN0Sh
 hLYyG0XUk+qOZLWyLaIJuYjQkKEBr/fkUipFfz7KZEu2FTY8cUpv8uaXxU32CAgZN4
 weyXWJSwx/YddULzPAE4fTYfqa7w4o4RDuM9Pfhe5j/foWM57D5IsTwBW+IBgy/bjZ
 PkCLhooXafHmSYL41bCNTHjovtddTnzTMkJeFgu8rz+I5ckL+ZErGGEpgw1ZamFpi0
 O5mNnTYrZt75FKyGde/lS3oBzs4blXs/XzBfw1Xh7MtfTlNcg5ISXdMOvPzdBtQuI+
 6j3eV/7aR43WQ==
Received: from dispatcher-2.mail.etat.lu (localhost [127.0.0.1])
 by localhost (CTIE ESMTP Dispatch 2) with SMTP id A4653214082;
 Mon, 28 May 2018 17:32:58 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (ex16mbxprd-06.gouv.etat.lu
 [148.110.210.74]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by dispatcher-2.mail.etat.lu (CTIE ESMTP Dispatch 2) with ESMTPS id
 9D4AB214067; Mon, 28 May 2018 17:32:55 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (148.110.210.74) by
 EX16MBXPRD-08.gouv.etat.lu (148.110.210.75) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.1415.2; Mon, 28 May 2018 17:32:55 +0200
Received: from EX16MBXPRD-06.gouv.etat.lu ([::1]) by
 EX16MBXPRD-06.gouv.etat.lu ([::1]) with mapi id 15.01.1415.007; Mon, 28 May
 2018 17:32:55 +0200
From: Alain Knaff <Alain.Knaff@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
Thread-Topic: bug#31626: Emacs window resizes when entering dired mode
Thread-Index: AQHT9oQkRA7ImwLKqUOzFzthwHJEjKRFQ29+///gTYA=
Date: Mon, 28 May 2018 15:32:55 +0000
Message-ID: <aed845ec-2d82-b35b-986c-84e9a6bb4d47@HIDDEN>
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
 <83vab77qf1.fsf@HIDDEN>
In-Reply-To: <83vab77qf1.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [148.110.22.69]
Content-Type: text/plain; charset="utf-8"
Content-ID: <4B0E74B2E3850043B55D1AF8B54B4B7F@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 31626
X-Mailman-Approved-At: Mon, 28 May 2018 11:35:22 -0400
Cc: "31626 <at> debbugs.gnu.org" <31626 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

DQoNCk9uIDIwMTgtMDUtMjggMTc6MjUsIEVsaSBaYXJldHNraWkgd3JvdGU6DQo+PiBGcm9tOiBB
bGFpbiBLbmFmZiA8QWxhaW4uS25hZmZAYWV2LmV0YXQubHU+DQo+PiBEYXRlOiBNb24sIDI4IE1h
eSAyMDE4IDEzOjAyOjMyICswMDAwDQo+Pg0KPj4gV2hlbmV2ZXIgSSBlbnRlciBkaXJlZCBtb2Rl
LCB0aGUgZW1hY3Mgd2luZG93IHJlc2l6ZXMgaXRzZWxmLiBUaGlzIGlzDQo+PiB1bmRlc2lyYWJs
ZSwgYXMgd2luZG93cyB0aGF0IGp1bXAgYXJvdW5kIGludGVycnVwdCB0aGUgZmxvdyBvZiB3b3Jr
Lg0KPj4NCj4+IEl0IGhhcHBlbnMgd2l0aCBHbnUgRW1hY3MgMjUuMi4yIGFzIGluY2x1ZGVkIG9u
IFVidW50dSAxOC4wNA0KPiANCj4gSSBjYW5ub3QgcmVwcm9kdWNlIHRoaXMuICBEbyB5b3Ugc2Vl
IHRoYXQgaW4gImVtYWNzLVEiPw0KDQpJIGRvLiBFdmVuIHRob3VnaCB0aGUgImp1bXAiIGlzIGxl
c3MgcHJvbm91bmNlZC4NCg0KPiANCj4gVGhhbmtzLg0KPiANCg0KDQoNCi0tIA0KQWxhaW4gS25h
ZmYNCkluZ8OpbmlldXIgSW5mb3JtYXRpY2llbg0KDQpMRSBHT1VWRVJORU1FTlQgRFUgR1JBTkQt
RFVDSMOJIERFIExVWEVNQk9VUkcNCk1pbmlzdMOocmUgZHUgRMOpdmVsb3BwZW1lbnQgZHVyYWJs
ZSBldCBkZXMgSW5mcmFzdHJ1Y3R1cmVzDQpBZG1pbmlzdHJhdGlvbiBkZSBs4oCZZW52aXJvbm5l
bWVudA0KDQoxLCBhdmVudWUgZHUgUm9jayduJ1JvbGwgLiBMLTQzNjEgRXNjaC1zdXItQWx6ZXR0
ZQ0KVMOpbC4gKCszNTIpIDQwIDU2IDU2LTMwOQ0KRS1NYWlsOiBBbGFpbi5LbmFmZkBhZXYuZXRh
dC5sdQ0Kd3d3LmdvdXZlcm5lbWVudC5sdSAuIHd3dy5sdXhlbWJvdXJnLmx1




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 May 2018 15:35:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 11:35:25 2018
Received: from localhost ([127.0.0.1]:52589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNKB9-0002GB-AG
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 11:35:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNItu-0000CA-A7
 for submit <at> debbugs.gnu.org; Mon, 28 May 2018 10:13:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNIto-0002mD-FL
 for submit <at> debbugs.gnu.org; Mon, 28 May 2018 10:13:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45545)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Alain.Knaff@HIDDEN>)
 id 1fNIto-0002m9-C4
 for submit <at> debbugs.gnu.org; Mon, 28 May 2018 10:13:24 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43482)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNItn-0005aQ-Cu
 for bug-gnu-emacs@HIDDEN; Mon, 28 May 2018 10:13:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNItj-0002k0-Cs
 for bug-gnu-emacs@HIDDEN; Mon, 28 May 2018 10:13:23 -0400
Received: from postino-2.mail.etat.lu ([185.106.24.42]:55859)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Alain.Knaff@HIDDEN>)
 id 1fNItj-0002jV-1M
 for bug-gnu-emacs@HIDDEN; Mon, 28 May 2018 10:13:19 -0400
Received: from dispatcher-1.mail.etat.lu (dispatch-1.cie.etat.lu
 [148.110.136.40])
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by postino-2.mail.etat.lu (Postfix) with ESMTPS id C319614338
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 May 2018 16:13:16 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=etat.lu;
 s=mail201504; t=1527516796;
 bh=9uy18N1Y07XMxNuUD04zIVHJrOAxQRRnVhsiB+ZEwBI=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version:From;
 b=mxuN7MYvAv//ghllEXX6D0Lbmn7edag4vwxWmaYwP0D82EQEcc3/wxVbBB5hYvmjO
 vwsqMN5R7eQ25Na6O248ZHu3XcmUn1xA5txK5JugSrBw+47zS+9fk2UE9cOUjxc/i2
 /nxL4jnAN+Jut1eHM/bC2uopQSRTvy5nAakAb+FnB/YZod4QE4ENFMj0zInP6rBWaZ
 ThyqEEZkX5HiHMJlnxCKLpJaG/GA2ISzGbYA0uqXLqzsbgM7BWnJHcFHRoSCAiWWES
 aB807NQXBXl7i0ePcZn38XnkKl5fDQWdETu4GyiaBQwL/4bApJGHWKuTseg5yu9Sd4
 /Z/Z2HvsWfQxg==
Received: from dispatcher-1.mail.etat.lu (localhost [127.0.0.1])
 by localhost (CTIE ESMTP Dispatch 1) with SMTP id AC3B25806B
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 May 2018 16:13:16 +0200 (CEST)
Received: from EX16MBXPRD-04.gouv.etat.lu (ex16mbxprd-04.gouv.etat.lu
 [148.110.210.73]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by dispatcher-1.mail.etat.lu (CTIE ESMTP Dispatch 1) with ESMTPS id A384758067
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 May 2018 16:13:13 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (148.110.210.74) by
 EX16MBXPRD-10.gouv.etat.lu (148.110.210.76) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.1415.2; Mon, 28 May 2018 16:13:13 +0200
Received: from EX16MBXPRD-06.gouv.etat.lu ([::1]) by
 EX16MBXPRD-06.gouv.etat.lu ([::1]) with mapi id 15.01.1415.007; Mon, 28 May
 2018 16:13:13 +0200
From: Alain Knaff <Alain.Knaff@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: Re: Emacs window resizes when entering dired mode
Thread-Topic: Emacs window resizes when entering dired mode
Thread-Index: AQHT9oQkRA7ImwLKqUOzFzthwHJEjKRFDXeA
Date: Mon, 28 May 2018 14:13:13 +0000
Message-ID: <5955037c-a450-3920-2a55-70c21082d857@HIDDEN>
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
In-Reply-To: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [148.110.22.69]
Content-Type: text/plain; charset="utf-8"
Content-ID: <2A275321AFFA5343ABBA8EA23100B74D@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 28 May 2018 11:35:22 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

DQoNCk9uIDIwMTgtMDUtMjggMTU6MDIsIEFsYWluIEtuYWZmIHdyb3RlOg0KPiBIaSwNCj4gDQo+
IFdoZW5ldmVyIEkgZW50ZXIgZGlyZWQgbW9kZSwgdGhlIGVtYWNzIHdpbmRvdyByZXNpemVzIGl0
c2VsZi4gVGhpcyBpcw0KPiB1bmRlc2lyYWJsZSwgYXMgd2luZG93cyB0aGF0IGp1bXAgYXJvdW5k
IGludGVycnVwdCB0aGUgZmxvdyBvZiB3b3JrLg0KPiANCj4gSXQgaGFwcGVucyB3aXRoIEdudSBF
bWFjcyAyNS4yLjIgYXMgaW5jbHVkZWQgb24gVWJ1bnR1IDE4LjA0DQo+IA0KPiBJdCBkaWQgbm90
IGhhcHBlbiB3aXRoIHRoZSB2ZXJzaW9uIGluY2x1ZGVkIHdpdGggVWJ1bnR1IDE2LjA0DQo+IA0K
PiBUaGFua3MgZm9yIGZpeGluZyB0aGlzLD4NCg0KSSBub3RpY2VkIHRoYXQgd2hlbiB0aGlzIGhh
cHBlbnMsIHRoZSBmb2xsb3dpbmcgaXMgcHJpbnRlZCB0byBzdGRvdXQ6DQpndGtfZGlzdHJpYnV0
ZV9uYXR1cmFsX2FsbG9jYXRpb246IGFzc2VydGlvbiAnZXh0cmFfc3BhY2UgPj0gMCcgZmFpbGVk
DQoNClRoZSBzYW1lIGlzIGFsc28gcHJpbnRlZCB3aGVuIG1hbnVhbGx5IG1ha2luZyB0aGUgd2lu
ZG93IG5hcnJvd2VyIGFnYWluLA0Kb3IgY2hhbmdpbmcgaXRzIHdpZHRoIGluIGFueSB3YXkgd2hp
bGUgaXQgaXMgbmFycm93ZXIgdGhhbiB0aGUgd2lkdGgNCmRpcmVkIHdhbnRzLg0KDQotLSANCkFs
YWluIEtuYWZmDQpJbmfDqW5pZXVyIEluZm9ybWF0aWNpZW4NCg0KTEUgR09VVkVSTkVNRU5UIERV
IEdSQU5ELURVQ0jDiSBERSBMVVhFTUJPVVJHDQpNaW5pc3TDqHJlIGR1IETDqXZlbG9wcGVtZW50
IGR1cmFibGUgZXQgZGVzIEluZnJhc3RydWN0dXJlcw0KQWRtaW5pc3RyYXRpb24gZGUgbOKAmWVu
dmlyb25uZW1lbnQNCg0KMSwgYXZlbnVlIGR1IFJvY2snbidSb2xsIC4gTC00MzYxIEVzY2gtc3Vy
LUFsemV0dGUNClTDqWwuICgrMzUyKSA0MCA1NiA1Ni0zMDkNCkUtTWFpbDogQWxhaW4uS25hZmZA
YWV2LmV0YXQubHUNCnd3dy5nb3V2ZXJuZW1lbnQubHUgLiB3d3cubHV4ZW1ib3VyZy5sdQ==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at 31626 <at> debbugs.gnu.org:


Received: (at 31626) by debbugs.gnu.org; 28 May 2018 15:26:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 11:26:13 2018
Received: from localhost ([127.0.0.1]:52574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNK2H-00020I-CJ
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 11:26:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fNK2E-0001zx-4Z
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 11:26:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fNK26-0004Vt-4j
 for 31626 <at> debbugs.gnu.org; Mon, 28 May 2018 11:26:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40458)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fNK26-0004Vp-28; Mon, 28 May 2018 11:26:02 -0400
Received: from [176.228.60.248] (port=3862 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fNK25-0003p5-I4; Mon, 28 May 2018 11:26:01 -0400
Date: Mon, 28 May 2018 18:25:54 +0300
Message-Id: <83vab77qf1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alain Knaff <Alain.Knaff@HIDDEN>
In-reply-to: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN> (message from
 Alain Knaff on Mon, 28 May 2018 13:02:32 +0000)
Subject: Re: bug#31626: Emacs window resizes when entering dired mode
References: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31626
Cc: 31626 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Alain Knaff <Alain.Knaff@HIDDEN>
> Date: Mon, 28 May 2018 13:02:32 +0000
> 
> Whenever I enter dired mode, the emacs window resizes itself. This is
> undesirable, as windows that jump around interrupt the flow of work.
> 
> It happens with Gnu Emacs 25.2.2 as included on Ubuntu 18.04

I cannot reproduce this.  Do you see that in "emacs-Q"?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 May 2018 15:14:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 28 11:14:42 2018
Received: from localhost ([127.0.0.1]:52532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNJr6-0001fu-U4
	for submit <at> debbugs.gnu.org; Mon, 28 May 2018 11:14:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNHnd-0006r1-LN
 for submit <at> debbugs.gnu.org; Mon, 28 May 2018 09:02:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNHnX-0005fR-IH
 for submit <at> debbugs.gnu.org; Mon, 28 May 2018 09:02:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56858)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Alain.Knaff@HIDDEN>)
 id 1fNHnX-0005fK-Eo
 for submit <at> debbugs.gnu.org; Mon, 28 May 2018 09:02:51 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48941)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNHnW-0005rL-7e
 for bug-gnu-emacs@HIDDEN; Mon, 28 May 2018 09:02:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Alain.Knaff@HIDDEN>) id 1fNHnS-0005cZ-9k
 for bug-gnu-emacs@HIDDEN; Mon, 28 May 2018 09:02:50 -0400
Received: from postino-2.mail.etat.lu ([185.106.24.42]:45976)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Alain.Knaff@HIDDEN>)
 id 1fNHnR-0005Tu-Vs
 for bug-gnu-emacs@HIDDEN; Mon, 28 May 2018 09:02:46 -0400
Received: from dispatcher-2.mail.etat.lu (dispatch-2.cie.etat.lu
 [148.110.136.41])
 (using TLSv1 with cipher CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by postino-2.mail.etat.lu (Postfix) with ESMTPS id 17F931431F
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 May 2018 15:02:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=etat.lu;
 s=mail201504; t=1527512556;
 bh=5z85kMQlQnsifQIoaqDobYIfwOo83F1jQrhLoEzG7bU=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version:From;
 b=C1E6+ajRM1XSwywtRkcyZkXfXFJbTZY0aR+XiyBCdEpDLpbFzy8iqAtyL8rD6LAEP
 yLrI9Zgj6tvl6XJ53A+/b10UjdXsMBbzOdXfZlDgkQREUEbY1r1gk0l9eIZl6/EeTT
 xNtjf6BPlXJ7CYxm1a1rQKlSLxVXHXnGxOKVlVT5rdMhRu/6v/png0DfLLErVJVRoX
 +6W/pMNW1M7y3izo2sUcIq9sgI7B2tgCcStMYtb02B2oNQtw+ywbhZatJYMjO5IpZi
 4U2HsXEcP1hgzMTg5qHWqAxm7kyOLn++HcEaMQ5lai+ESJxcCILMzzgcIzvCBbuG4f
 3sr+78HFZYL5A==
Received: from dispatcher-2.mail.etat.lu (localhost [127.0.0.1])
 by localhost (CTIE ESMTP Dispatch 2) with SMTP id 00C5F214084
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 May 2018 15:02:36 +0200 (CEST)
Received: from EX16MBXPRD-04.gouv.etat.lu (ex16mbxprd-04.gouv.etat.lu
 [148.110.210.73]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by dispatcher-2.mail.etat.lu (CTIE ESMTP Dispatch 2) with ESMTPS id
 EEBDE214083
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 May 2018 15:02:32 +0200 (CEST)
Received: from EX16MBXPRD-06.gouv.etat.lu (148.110.210.74) by
 EX16MBXPRD-04.gouv.etat.lu (148.110.210.73) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.1415.2; Mon, 28 May 2018 15:02:32 +0200
Received: from EX16MBXPRD-06.gouv.etat.lu ([::1]) by
 EX16MBXPRD-06.gouv.etat.lu ([::1]) with mapi id 15.01.1415.007; Mon, 28 May
 2018 15:02:32 +0200
From: Alain Knaff <Alain.Knaff@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: Emacs window resizes when entering dired mode
Thread-Topic: Emacs window resizes when entering dired mode
Thread-Index: AQHT9oQkRA7ImwLKqUOzFzthwHJEjA==
Date: Mon, 28 May 2018 13:02:32 +0000
Message-ID: <18667cbc-0c96-c45c-a1f5-5ad67cb9b468@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [148.110.22.69]
Content-Type: text/plain; charset="utf-8"
Content-ID: <4B9E05A1B602304BA24366A101D21269@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 28 May 2018 11:14:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

SGksDQoNCldoZW5ldmVyIEkgZW50ZXIgZGlyZWQgbW9kZSwgdGhlIGVtYWNzIHdpbmRvdyByZXNp
emVzIGl0c2VsZi4gVGhpcyBpcw0KdW5kZXNpcmFibGUsIGFzIHdpbmRvd3MgdGhhdCBqdW1wIGFy
b3VuZCBpbnRlcnJ1cHQgdGhlIGZsb3cgb2Ygd29yay4NCg0KSXQgaGFwcGVucyB3aXRoIEdudSBF
bWFjcyAyNS4yLjIgYXMgaW5jbHVkZWQgb24gVWJ1bnR1IDE4LjA0DQoNCkl0IGRpZCBub3QgaGFw
cGVuIHdpdGggdGhlIHZlcnNpb24gaW5jbHVkZWQgd2l0aCBVYnVudHUgMTYuMDQNCg0KVGhhbmtz
IGZvciBmaXhpbmcgdGhpcywNCg0KLS0gDQpBbGFpbiBLbmFmZg0KSW5nw6luaWV1ciBJbmZvcm1h
dGljaWVuDQoNCkxFIEdPVVZFUk5FTUVOVCBEVSBHUkFORC1EVUNIw4kgREUgTFVYRU1CT1VSRw0K
TWluaXN0w6hyZSBkdSBEw6l2ZWxvcHBlbWVudCBkdXJhYmxlIGV0IGRlcyBJbmZyYXN0cnVjdHVy
ZXMNCkFkbWluaXN0cmF0aW9uIGRlIGzigJllbnZpcm9ubmVtZW50DQoNCjEsIGF2ZW51ZSBkdSBS
b2NrJ24nUm9sbCAuIEwtNDM2MSBFc2NoLXN1ci1BbHpldHRlDQpUw6lsLiAoKzM1MikgNDAgNTYg
NTYtMzA5DQpFLU1haWw6IEFsYWluLktuYWZmQGFldi5ldGF0Lmx1DQp3d3cuZ291dmVybmVtZW50
Lmx1IC4gd3d3Lmx1eGVtYm91cmcubHU=




Acknowledgement sent to Alain Knaff <Alain.Knaff@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31626; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 28 May 2018 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.